Max+
/companies/{id}/ownership-tree
Path Parameters
- Type: integerFormat: int32
id requiredSigned 32-bit integers (commonly used integer type).
Query Parameters
- Type: string
direction - Type: integerFormat: int32
max Depth Signed 32-bit integers (commonly used integer type).
- Type: boolean
current Only
Responses
Request Example for get/companies/{id}/ownership-tree
curl 'https://lens-api.tic.io/companies/1/ownership-tree?direction=down&maxDepth=10¤tOnly=true' \
--header 'x-api-key: YOUR_SECRET_TOKEN'
{
"companyId": null,
"placeholderId": null,
"name": null,
"registrationNumber": null,
"countryCode": null,
"isPlaceholder": true,
"isSelected": true,
"ownershipPercentage": null,
"numberOfShares": null,
"sources": [
{
"source": null,
"percentage": null,
"numberOfShares": null,
"numberOfVotes": null,
"shareClass": null,
"asOfDate": null,
"validFrom": null,
"validTo": null,
"isCurrent": true
}
],
"children": [],
"parents": [],
"beneficialOwners": [
{
"personId": null,
"placeholderId": null,
"name": null,
"personalIdentityNumber": null,
"citizenshipCountryCode": null,
"countryOfResidenceCode": null,
"isPlaceholder": true,
"extentCode": null,
"extentDescription": null,
"governCode": null,
"governDescription": null,
"intermediaryCompanyId": null,
"intermediaryCompanyName": null,
"validFrom": null,
"validTo": null,
"isCurrent": true,
"source": null
}
],
"depth": 1
}